unit Testform;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Grids;

type
  TForm4TokenizerFunctions = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Bevel1: TBevel;
    Button13: TButton;
    StringGrid1: TStringGrid;
    Button2: TButton;
    Button3: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form4TokenizerFunctions: TForm4TokenizerFunctions;

implementation

{$R *.DFM}

uses
    _4inctok;

procedure TForm4TokenizerFunctions.Button1Click(Sender: TObject);
begin
     if InitToken(Edit1.Text,' ,-#') then
     begin
          StringGrid1.RowCount   := 1;
          StringGrid1.Cells[0,0] := '';
          Button1.Enabled := false;
          Button2.Enabled := true;
          Button3.Enabled := true;
     end;
end;

procedure TForm4TokenizerFunctions.Button2Click(Sender: TObject);
var
   aToken   : String;
   aSepChar : String;
begin
     if NextToken(aToken,aSepChar) then
     begin
          if ((StringGrid1.RowCount = 1)and (StringGrid1.Cells[0,0] = '')) then
          begin
               StringGrid1.Cells[0,0] := aToken;
          end
          else
          begin
               StringGrid1.RowCount := StringGrid1.RowCount +1;
               StringGrid1.Cells[0,StringGrid1.RowCount-1] := aToken;
          end;
     end
     else
     begin
          Button2.Enabled := false;
     end;
end;

procedure TForm4TokenizerFunctions.Button3Click(Sender: TObject);
begin
     if ClearToken then
     begin
          Button1.Enabled := true;
          Button2.Enabled := false;
          Button3.Enabled := false;
     end;
end;

procedure TForm4TokenizerFunctions.Button13Click(Sender: TObject);
begin
     Application.Terminate;
end;

end.
